GNU bug report logs - #12791
24.2; An option to load user init file with -batch

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Leo <sdl.web@HIDDEN>; dated Sat, 3 Nov 2012 07:58:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 12791 <at> debbugs.gnu.org:


Received: (at 12791) by debbugs.gnu.org; 4 Nov 2012 17:21:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 04 12:21:29 2012
Received: from localhost ([127.0.0.1]:49216 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TV3t2-0001bA-U6
	for submit <at> debbugs.gnu.org; Sun, 04 Nov 2012 12:21:29 -0500
Received: from mail-ee0-f44.google.com ([74.125.83.44]:47619)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <lekktu@HIDDEN>) id 1TV3t1-0001b3-2S
	for 12791 <at> debbugs.gnu.org; Sun, 04 Nov 2012 12:21:27 -0500
Received: by mail-ee0-f44.google.com with SMTP id d4so2921051eek.3
	for <12791 <at> debbugs.gnu.org>; Sun, 04 Nov 2012 09:18:25 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=mime-version:in-reply-to:references:from:date:message-id:subject:to
	:cc:content-type;
	bh=hBm98sVBYwcNQLCqsIf0AOuuwO4OBQKuzDQvPoD/9us=;
	b=UbEJOP9EQechfsFz7Vkr7wgdAsa1XBTS4AQHf7gKbJlsdebJ9XgxUKF4KmA3aCoOc5
	e0WAPq74f3278y3LpVf2rWerhjzDHukwUm5v+0acP4rA1ntWru11ngzmapM28ISLCACu
	VmTftwSiqjhd7vTgkFKPIKskXhhFPczvSFjJQhAd7kSR5lq1A6YkoGbIcVQ9acHaV02d
	C40yd7lfQqJSKMiLACy0waUxg4bEaCO+AYytt9xvrFoULtUtB6E6X1JxQ9tvukXVpIqN
	KF9luia277I0kR/f6DpQZS2j/qGY27w7/Ehz7KgR0CH5Rwx6KcLUjj036EU1RUdnkLL9
	zUyQ==
Received: by 10.14.193.136 with SMTP id k8mr27860121een.30.1352049505691; Sun,
	04 Nov 2012 09:18:25 -0800 (PST)
MIME-Version: 1.0
Received: by 10.223.62.204 with HTTP; Sun, 4 Nov 2012 09:17:45 -0800 (PST)
In-Reply-To: <m2boff5dff.fsf@HIDDEN>
References: <m2boff5dff.fsf@HIDDEN>
From: Juanma Barranquero <lekktu@HIDDEN>
Date: Sun, 4 Nov 2012 18:17:45 +0100
Message-ID: <CAAeL0SQNhvxFT3p39uwPS-sqQXwngtQyjsg8aarQMM+ySy0Kzw@HIDDEN>
Subject: Re: bug#12791: 24.2; An option to load user init file with -batch
To: Leo <sdl.web@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 12791
Cc: 12791 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.1 (/)

On Sat, Nov 3, 2012 at 8:54 AM, Leo <sdl.web@HIDDEN> wrote:

> -batch implies -q and I cannot find an option to negate it. For example,
> I want to add some tests to my emacs init files and be able to run
> `ert-run-tests-batch' in batch mode.

Another small difference between runing an interactive emacs and doing
"emacs -batch" and loading your .emacs is that under "emacs -batch" it
is possible that the directory pointed out by user-emacs-directory
does not exist, and locate-user-emacs-file quite deliberately takes
steps not to create it (because otherwise you'll end with .emacs.d/
directories at unexpected places, while bootstrapping,etc.)

    Juanma




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12791; Package emacs. Full text available.

Message received at 12791 <at> debbugs.gnu.org:


Received: (at 12791) by debbugs.gnu.org; 3 Nov 2012 19:05:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 03 15:05:00 2012
Received: from localhost ([127.0.0.1]:47513 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TUj1f-0000pA-HB
	for submit <at> debbugs.gnu.org; Sat, 03 Nov 2012 15:05:00 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:40974)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <rgm@HIDDEN>) id 1TUj1d-0000p2-5a
	for 12791 <at> debbugs.gnu.org; Sat, 03 Nov 2012 15:04:57 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
	(envelope-from <rgm@HIDDEN>)
	id 1TUiyl-0002jW-EU; Sat, 03 Nov 2012 15:01:59 -0400
From: Glenn Morris <rgm@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#12791: 24.2; An option to load user init file with -batch
References: <m2boff5dff.fsf@HIDDEN> <83a9uz57id.fsf@HIDDEN>
	<m17gq24ul6.fsf@HIDDEN> <83390q66s5.fsf@HIDDEN>
X-Spook: csystems Honduras NATO CDC Mossad sweep Roswell ANDVT
X-Ran: w4*>j=O`dZg"ru>O\QS$w(GDdO>NodgDu+fhO(X#Ji#y]"qi=3$bkJ6b~Het"h=]H]k~*|
X-Hue: yellow
X-Attribution: GM
Date: Sat, 03 Nov 2012 15:01:59 -0400
In-Reply-To: <83390q66s5.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 03 Nov
	2012 17:32:58 +0200")
Message-ID: <8hmwyyjys8.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -4.8 (----)
X-Debbugs-Envelope-To: 12791
Cc: 12791 <at> debbugs.gnu.org, Leo <sdl.web@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.8 (----)

Eli Zaretskii wrote:

>> > What's wrong with "-l ~/.emacs"? The difference in the loading
>> > order is a non-issue in batch mode anyway.
>> 
>> not portable.
>
> Sorry, I don't understand.  Please elaborate: when does it not work
> and why?

One possibility: maybe the init file is actually ~/.emacs.el, or
~/.emacs.d/init.el, etc. So the caller would have to do (a small amount
of) actual work to locate it, rather than just letting Emacs handle it
transparently as normal.

(It sure would waste less time if reports were less vague, particularly
when asking for new features to be implemented.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12791; Package emacs. Full text available.

Message received at 12791 <at> debbugs.gnu.org:


Received: (at 12791) by debbugs.gnu.org; 3 Nov 2012 15:36:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 03 11:36:21 2012
Received: from localhost ([127.0.0.1]:47305 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TUfll-00016f-KY
	for submit <at> debbugs.gnu.org; Sat, 03 Nov 2012 11:36:21 -0400
Received: from mtaout20.012.net.il ([80.179.55.166]:61280)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1TUfli-00016W-0S
	for 12791 <at> debbugs.gnu.org; Sat, 03 Nov 2012 11:36:19 -0400
Received: from conversion-daemon.a-mtaout20.012.net.il by
	a-mtaout20.012.net.il (HyperSendmail v2007.08) id
	<0MCX00I004E98600@HIDDEN> for
	12791 <at> debbugs.gnu.org; Sat, 03 Nov 2012 17:33:14 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout20.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0MCX00IE14J82C40@HIDDEN>;
	Sat, 03 Nov 2012 17:33:08 +0200 (IST)
Date: Sat, 03 Nov 2012 17:32:58 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#12791: 24.2; An option to load user init file with -batch
In-reply-to: <m17gq24ul6.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Leo <sdl.web@HIDDEN>
Message-id: <83390q66s5.fsf@HIDDEN>
References: <m2boff5dff.fsf@HIDDEN> <83a9uz57id.fsf@HIDDEN>
	<m17gq24ul6.fsf@HIDDEN>
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
	has
	identified this incoming email as possible spam. The original message
	has been attached to this so you can view it (if it isn't spam) or
	label similar future email.  If you have any questions, see
	the administrator of that system for details.
	Content preview:  > From: Leo <sdl.web@HIDDEN> > Date: Sat,
	03 Nov 2012 22:41:41 +0800 > > On 2012-11-03 18:02 +0800,
	Eli Zaretskii wrote: > > What's wrong
	with "-l ~/.emacs"? The difference in the loading order > > is a
	non-issue in batch mode anyway. > > not portable. [...] 
	Content analysis details:   (1.5 points, 10.0 required)
	pts rule name              description
	---- ----------------------
	--------------------------------------------------
	-0.0 RCVD_IN_DNSWL_NONE RBL: Sender listed at http://www.dnswl.org/,
	no trust [80.179.55.166 listed in list.dnswl.org]
	0.7 SPF_SOFTFAIL SPF: sender does not match SPF record (softfail)
	0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
	[score: 0.5000]
X-Debbugs-Envelope-To: 12791
Cc: 12791 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > From: Leo <sdl.web@HIDDEN> > Date: Sat, 03 Nov 2012 22:41:41
    +0800 > > On 2012-11-03 18:02 +0800, Eli Zaretskii wrote: > > What's wrong
    with "-l ~/.emacs"? The difference in the loading order > > is a non-issue
    in batch mode anyway. > > not portable. [...] 
 
 Content analysis details:   (1.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
                             trust
                             [80.179.55.166 listed in list.dnswl.org]
  0.7 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
  0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
                             [score: 0.5000]

> From: Leo <sdl.web@HIDDEN>
> Date: Sat, 03 Nov 2012 22:41:41 +0800
> 
> On 2012-11-03 18:02 +0800, Eli Zaretskii wrote:
> > What's wrong with "-l ~/.emacs"?  The difference in the loading order
> > is a non-issue in batch mode anyway.
> 
> not portable.

Sorry, I don't understand.  Please elaborate: when does it not work
and why?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12791; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 3 Nov 2012 14:44:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 03 10:44:58 2012
Received: from localhost ([127.0.0.1]:47247 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TUey2-0007Ux-5Y
	for submit <at> debbugs.gnu.org; Sat, 03 Nov 2012 10:44:58 -0400
Received: from eggs.gnu.org ([208.118.235.92]:57711)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1TUey0-0007Uq-5o
	for submit <at> debbugs.gnu.org; Sat, 03 Nov 2012 10:44:57 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1TUevA-0000Cy-C5
	for submit <at> debbugs.gnu.org; Sat, 03 Nov 2012 10:42:01 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-5.7 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	RCVD_IN_DNSWL_HI,RCVD_NUMERIC_HELO autolearn=ham version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:44026)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1TUevA-0000Ct-96
	for submit <at> debbugs.gnu.org; Sat, 03 Nov 2012 10:42:00 -0400
Received: from eggs.gnu.org ([208.118.235.92]:37547)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1TUev9-0003To-HG
	for bug-gnu-emacs@HIDDEN; Sat, 03 Nov 2012 10:42:00 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1TUev8-0000CR-IV
	for bug-gnu-emacs@HIDDEN; Sat, 03 Nov 2012 10:41:59 -0400
Received: from plane.gmane.org ([80.91.229.3]:50625)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1TUev8-0000C2-Bi
	for bug-gnu-emacs@HIDDEN; Sat, 03 Nov 2012 10:41:58 -0400
Received: from list by plane.gmane.org with local (Exim 4.69)
	(envelope-from <geb-bug-gnu-emacs@HIDDEN>) id 1TUevA-0005XA-2U
	for bug-gnu-emacs@HIDDEN; Sat, 03 Nov 2012 15:42:00 +0100
Received: from 182.48.109.8 ([182.48.109.8])
	by main.gmane.org with esmtp (Gmexim 0.1 (Debian))
	id 1AlnuQ-0007hv-00
	for <bug-gnu-emacs@HIDDEN>; Sat, 03 Nov 2012 15:42:00 +0100
Received: from sdl.web by 182.48.109.8 with local (Gmexim 0.1 (Debian))
	id 1AlnuQ-0007hv-00
	for <bug-gnu-emacs@HIDDEN>; Sat, 03 Nov 2012 15:42:00 +0100
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: Leo <sdl.web@HIDDEN>
Subject: Re: bug#12791: 24.2; An option to load user init file with -batch
Date: Sat, 03 Nov 2012 22:41:41 +0800
Lines: 7
Message-ID: <m17gq24ul6.fsf@HIDDEN>
References: <m2boff5dff.fsf@HIDDEN> <83a9uz57id.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
X-Complaints-To: usenet@HIDDEN
X-Gmane-NNTP-Posting-Host: 182.48.109.8
Face: iVBORw0KGgoAAAANSUhEUgAAACgAAAAoBAMAAAB+0KVeAAAAElBMVEUAAAAAAP+LRRP0pGC+
	vr7///+7mT1iAAAAAWJLR0QAiAUdSAAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9cBBwMO
	DhglKe4AAAEsSURBVCjPbZNBboQwDEV/Cd4X9QJRThApmn0XYW+Jyf2v0m+HhqDBgiAe9rcTG7QH
	w/1Vn2Ar8gBb/ocywSN3qK9T3z4eFDB4eApocBpeBs1RSykoJd8gQcm8pGmHXFso3ajnmsqV0TnY
	DQkOfXUfN5NwaI7AWTVOyEhcu1aHmdWItHddUVUcUgUBCkitu8V6ditHVOVdqzl2EQ1ZVGTbdK0V
	7cqn8vWzoU5Q/bF9Y/Y0cRU1xwkys5dJ+Dt6pBDWifcNQml8Gh2JVmPSoQzo7en0grswkxrUGYJ7
	0hSxxAGr7ZMwYcHIzprpi7TENEE1xtiYxixRlCfPBsUUrwHD7uGIwATrbnODJcVrPpVn3hxiGloe
	m/S+z3CtuzUSMo83N4DPH+F0evwR3P4A2k+75838OKQAAAAASUVORK5CYII=
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.2 (OS X 10.8.2)
Cancel-Lock: sha1:7gg9d3Oos1eXDuU2pmEbY7wb7Yk=
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 208.118.235.17
X-Spam-Score: -3.0 (---)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.8 (---)

On 2012-11-03 18:02 +0800, Eli Zaretskii wrote:
> What's wrong with "-l ~/.emacs"?  The difference in the loading order
> is a non-issue in batch mode anyway.

not portable.

Leo





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12791; Package emacs. Full text available.

Message received at 12791 <at> debbugs.gnu.org:


Received: (at 12791) by debbugs.gnu.org; 3 Nov 2012 10:06:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 03 06:06:02 2012
Received: from localhost ([127.0.0.1]:46684 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TUac6-0007lE-0v
	for submit <at> debbugs.gnu.org; Sat, 03 Nov 2012 06:06:02 -0400
Received: from mtaout21.012.net.il ([80.179.55.169]:65502)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1TUac4-0007ko-It
	for 12791 <at> debbugs.gnu.org; Sat, 03 Nov 2012 06:06:01 -0400
Received: from conversion-daemon.a-mtaout21.012.net.il by
	a-mtaout21.012.net.il (HyperSendmail v2007.08) id
	<0MCW00D00OXHZN00@HIDDEN> for
	12791 <at> debbugs.gnu.org; Sat, 03 Nov 2012 12:02:45 +0200 (IST)
Received: from HOME-C4E4A596F7 ([87.69.4.28]) by a-mtaout21.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0MCW00DKUP8LZP10@HIDDEN>;
	Sat, 03 Nov 2012 12:02:45 +0200 (IST)
Date: Sat, 03 Nov 2012 12:02:34 +0200
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#12791: 24.2; An option to load user init file with -batch
In-reply-to: <m2boff5dff.fsf@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Leo <sdl.web@HIDDEN>
Message-id: <83a9uz57id.fsf@HIDDEN>
References: <m2boff5dff.fsf@HIDDEN>
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
	has
	identified this incoming email as possible spam. The original message
	has been attached to this so you can view it (if it isn't spam) or
	label similar future email.  If you have any questions, see
	the administrator of that system for details.
	Content preview:  > From: Leo <sdl.web@HIDDEN> > Date: Sat,
	03 Nov 2012 15:54:44
	+0800 > > -batch implies -q and I cannot find an option to negate it.
	For example,
	> I want to add some tests to my emacs init files and be able to
	run > `ert-run-tests-batch' in batch mode. > > Any objection if I add
	an option such as '--load-init-file'? [...] 
	Content analysis details:   (1.5 points, 10.0 required)
	pts rule name              description
	---- ----------------------
	--------------------------------------------------
	-0.0 RCVD_IN_DNSWL_NONE RBL: Sender listed at http://www.dnswl.org/,
	no trust [80.179.55.169 listed in list.dnswl.org]
	0.7 SPF_SOFTFAIL SPF: sender does not match SPF record (softfail)
	0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
	[score: 0.5000]
X-Debbugs-Envelope-To: 12791
Cc: 12791 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 1.5 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org", has
 identified this incoming email as possible spam.  The original message
 has been attached to this so you can view it (if it isn't spam) or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  > From: Leo <sdl.web@HIDDEN> > Date: Sat, 03 Nov 2012 15:54:44
    +0800 > > -batch implies -q and I cannot find an option to negate it. For
    example, > I want to add some tests to my emacs init files and be able to
    run > `ert-run-tests-batch' in batch mode. > > Any objection if I add an
   option such as '--load-init-file'? [...] 
 
 Content analysis details:   (1.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
                             trust
                             [80.179.55.169 listed in list.dnswl.org]
  0.7 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
  0.8 BAYES_50               BODY: Bayes spam probability is 40 to 60%
                             [score: 0.5000]

> From: Leo <sdl.web@HIDDEN>
> Date: Sat, 03 Nov 2012 15:54:44 +0800
> 
> -batch implies -q and I cannot find an option to negate it. For example,
> I want to add some tests to my emacs init files and be able to run
> `ert-run-tests-batch' in batch mode.
> 
> Any objection if I add an option such as '--load-init-file'?

What's wrong with "-l ~/.emacs"?  The difference in the loading order
is a non-issue in batch mode anyway.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#12791; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 3 Nov 2012 07:57:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 03 03:57:52 2012
Received: from localhost ([127.0.0.1]:46619 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TUYc4-0004rZ-4L
	for submit <at> debbugs.gnu.org; Sat, 03 Nov 2012 03:57:52 -0400
Received: from eggs.gnu.org ([208.118.235.92]:48712)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <sdl.web@HIDDEN>) id 1TUYc2-0004rS-1G
	for submit <at> debbugs.gnu.org; Sat, 03 Nov 2012 03:57:50 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <sdl.web@HIDDEN>) id 1TUYZE-0007Nk-9e
	for submit <at> debbugs.gnu.org; Sat, 03 Nov 2012 03:54:57 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-6.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	RCVD_IN_DNSWL_HI,T_DKIM_INVALID autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:42097)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <sdl.web@HIDDEN>) id 1TUYZE-0007Ng-5t
	for submit <at> debbugs.gnu.org; Sat, 03 Nov 2012 03:54:56 -0400
Received: from eggs.gnu.org ([208.118.235.92]:32972)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <sdl.web@HIDDEN>) id 1TUYZD-0001Of-Az
	for bug-gnu-emacs@HIDDEN; Sat, 03 Nov 2012 03:54:56 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <sdl.web@HIDDEN>) id 1TUYZC-0007NB-EL
	for bug-gnu-emacs@HIDDEN; Sat, 03 Nov 2012 03:54:55 -0400
Received: from mail-pb0-f41.google.com ([209.85.160.41]:35968)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <sdl.web@HIDDEN>) id 1TUYZC-0007Mz-7Y
	for bug-gnu-emacs@HIDDEN; Sat, 03 Nov 2012 03:54:54 -0400
Received: by mail-pb0-f41.google.com with SMTP id rq2so3095737pbb.0
	for <bug-gnu-emacs@HIDDEN>; Sat, 03 Nov 2012 00:54:53 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=from:to:subject:date:message-id:mime-version:content-type;
	bh=worM9F0IJxcoI7YSyHJh4UU94v4cnRTj84fAQuYn6OU=;
	b=AkOgm1jf3lDCVfUjQhiA6whEkOIW7UO+6efNz1hzzbNzldMOjif0eKTf3OnEkWSCLn
	EDNzllPPeIN+tplVVl595qv2cIE4AcBRXsE6BGX8IqOFLfJRsCoeKIxxY2DEJAq3HboZ
	y5kNF/jUEjHp0CcLmWFOm4tyZ2htgSOt/LfYeogcoR1FpweGXeG12BZRJ7JOsiksNyhc
	tqUTzICRSV4EiC1Ir2y1/scK791lYSqVa91cAA/HDGl5Q2KCcThO27oN1a+OaQqT7tfg
	Y3lToMewnHs9dY8okbrDUGqFyPKKxUIIUxtADVxMLKMbVTQow0Co7/QDusnAlRJPw7ss
	mOjg==
Received: by 10.66.77.105 with SMTP id r9mr11965484paw.76.1351929293272;
	Sat, 03 Nov 2012 00:54:53 -0700 (PDT)
Received: from localhost ([119.255.41.67])
	by mx.google.com with ESMTPS id wo9sm7037112pbc.53.2012.11.03.00.54.51
	(version=TLSv1/SSLv3 cipher=OTHER);
	Sat, 03 Nov 2012 00:54:52 -0700 (PDT)
From: Leo <sdl.web@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.2; An option to load user init file with -batch
Date: Sat, 03 Nov 2012 15:54:44 +0800
Message-ID: <m2boff5dff.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 208.118.235.17
X-Spam-Score: -3.4 (---)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.4 (---)

-batch implies -q and I cannot find an option to negate it. For example,
I want to add some tests to my emacs init files and be able to run
`ert-run-tests-batch' in batch mode.

Any objection if I add an option such as '--load-init-file'?

Leo




Acknowledgement sent to Leo <sdl.web@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#12791; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.